<?php use_helper('UrlFunctions'); ?>
<script>

acutalizarEspecialidad = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=getEspecialidad&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}

</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>
<?php

if(myUser::getUser()->getIdPadre() == "1"){
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	 	
  	$IdPadre = $o_ColaboradorBeanResult[0]->getIdPadre();
  	
}else{//Solo los Hijos del Colaborador
  	$IdPadre = myUser::getUser()->getIdColaborador();
}

//Sacar el nombre de la sucursal
$o_SucursalBean = new SucursalBean();
$o_SucursalBean->setIdAdministrador($IdPadre);

$o_SucursalBL = new SucursalBL();
$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);

foreach ($a_o_sucursal as $key => $o_sucursal){
	$IdSucursal 	= $o_sucursal->getIdSucursal();
	$NombreSucursal = $o_sucursal->getDescripcion();
}
/*
$o_BalanceDiaNew = new BalanceDiaBean();
$o_BalanceDiaNew->setIdColaboradorPermitido($IdPadre); 

$o_BalanceDiaNewDP 		= new BalanceDiaDP($o_BalanceDiaNew);
$fechaDiaBalanceAbierto = $o_BalanceDiaNewDP->ObtenerDiaAbierto();
*/
//Obtener el nombre del Adminitrador
$idAdministrador = $IdPadre;
$o_ColaboradorAdmin = new ColaboradorBean();
$o_ColaboradorAdmin->setIdColaborador($idAdministrador);

$o_ColaboradorAdminBL = new ColaboradorBL();
$a_o_Colaborador = $o_ColaboradorAdminBL->busquedaColaborador($o_ColaboradorAdmin);
foreach ($a_o_Colaborador as $key => $o_Colaborador){
	$NombreAdministrador = $o_Colaborador->getNombreCompleto();
}

$o_BalanceDiaNew = new BalanceDiaBean();
$o_BalanceDiaNew->setIdColaboradorPermitido($a_Colaborador); 
$o_BalanceDiaNew->setIdAdministrador($IdPadre); 
$o_BalanceDiaNew->setIdSucursal($IdSucursal); 


$o_BalanceDiaNewDP 		= new BalanceDiaDP($o_BalanceDiaNew);
$fechaBalanceAbierto  	= $o_BalanceDiaNewDP->ObtenerDiaAbierto();


if(isset($control)){
  
  $o_SobranteFaltanteBean = new SobranteFaltanteBean();
  
  $o_SobranteFaltanteBean->setIdColaborador($cboColaborador);
  $o_SobranteFaltanteBean->setMonto($Monto);
  $o_SobranteFaltanteBean->setFechaSofa($fechaBalanceAbierto);
  $o_SobranteFaltanteBean->setEstado($Estado);
  $o_SobranteFaltanteBean->setTipoSofa($cboSobranteFaltante);
  $o_SobranteFaltanteBean->setEliminado($Eliminado);
  $o_SobranteFaltanteBean->setFechaCreacion(date("Y-m-d H:i:s"));
  $o_SobranteFaltanteBean->setUsuarioCreacion(myUser::getUser()->getUserId());
  
  $o_SobranteFaltanteSystemClass = new SobranteFaltanteSystemClass($o_SobranteFaltanteBean);
  $bResult = $o_SobranteFaltanteSystemClass->insertSobranteFaltante();
  
  if($bResult){
    ?>
    <script language="JavaScript">
    parent.objMainTab.reqBody('<?=buildUrl('sof/list')?>','&block=001&insert=1&cod=<?=$o_SobranteFaltanteBean->getIdSofa()?>');
    parent.objMainTab.windowsCloseAll();
    </script>
    <?
  }else{
    $url = buildUrl('adsadd', "block=".$block."&error=1");
  }
  exit;
}
 $o_ColaboradorBean = new ColaboradorBean();
 $o_ColaboradorBean->setIdPadre(myUser::getUser()->getIdColaborador());	
 $a_rol[] = 'sys.ope';
 $o_ColaboradorBean->setFiltroColaborador($a_rol);
 $o_ColaboradorBean->setEstado('A');
 $o_AdelantoSystemClass = new AdelantoSystemClass($o_ColaboradorBean);
 $a_Colaborador = $o_AdelantoSystemClass->getColaborador();

 ?>
 
<img src="/images/common/spacer.gif" width="10">
<table class="cuerpo" width="98%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="0">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody">
            <li>Sobrantes / Faltante</li>
            <span class="subtitle"><I>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:::&nbsp;Ficha Sofrante / Faltante</I></span></td>
          <td align="right" valign="baseline">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>
      <script type="text/javascript">
        validatePass = function(){
          
            valid.onSubmit = false;
          
        }
      </script>
  <tr>
    <td valign="top">
      <form id="form1" name="form1" method="POST">
      <input type="hidden" name="control" value="1">
        <table hspace="20px" class="marco" width="99%">
          <tr>
            <td valign="top">
              <table width="100%" border="0" cellpadding="5" cellspacing="0" style="background: #E3E9E2">
          		<tr>
    				  <td height="0">
    				  <fieldset>
    					<legend class="fielsettex"><I>Datos Generales</I></legend>
    					 <table width="100%" border="0" cellspacing="6" cellpadding="0">
				          <tr>
			                  <td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtAdministrador" >Representante</label></td>
			  				  <td nowrap="nowrap"><select class="combo validate-selection " name="cboColaborador" id="cboColaborador" onchange="acutalizarEspecialidad('cboEspecialidad',this)" >
			                  <option value="" > - Seleccionar - </option>
			                  <?php foreach ($a_Colaborador as $iKey => $o_ColaboradorBean){ ?>
			                  <option value="<?=$o_ColaboradorBean->getIdColaborador()?>">
			                    <?=$o_ColaboradorBean->getNombreCompleto()?>
			                  </option>
			                  <?php } ?>
			                </select>
			               </td>
			                <td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
			                <td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtMonto" >Sobrante/Faltante</label></td>
			  				<td nowrap="nowrap" width="38%">
						      <select name="cboSobranteFaltante" id="cboSobranteFaltante" type="text required" class="combo validate-selection"/> 
								  <option value="" >Selecione</option>
								  <option value="s" >Sobrante</option>
								  <option value="f" >Faltante</option>
							  </select>
						    </td>
			                <td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
			                <td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtMonto" >Monto</label></td>
			  				<td nowrap="nowrap"><input class="text required" type="text" name="Monto" id="Monto" size="10" maxlength="10" /></td>
				        </tr>
						</table>
						 <table width="100%" border="0" cellspacing="0" cellpadding="0">
							  <tr>
								 <td><img src="/images/common/spacer.gif" width="10"></td>
							  </tr>
							  <tr>
								<td align="center">
								  <input type="hidden" name="typeSubmit" id="typeSubmit">
								  <!--<input class="button" type="submit" value="Grabar y Nuevo" onclick="$('typeSubmit').value='add';"/>-->
								  <input class="button" type="submit" value="Grabar" onclick="$('typeSubmit').value='list';">
								  <input class="button" type="button" value="Cancelar" onclick="parent.objMainTab.windowsCloseAll();"/>
								</td>
							  </tr>
							  <tr>
								<td height="10">&nbsp;</td>
							  </tr>
							</table>
    					</fieldset>				
    				</td>
                </tr>
      </table>
      </form>
			<script type="text/javascript">
				var valid = new Validation('form1', {immediate : true});
			</script>
    </td>
  </tr>
</table>
